NYCPHP Meetup

[nycphp-talk] PHP-GTK module error

Scott Mattocks scott at crisscott.com
Mon Oct 2 13:14:17 EDT 2006


PHP-GTK should not be loaded in your php.ini for Apache. I have two 
separate php.ini files and compiled my cli php to look in a different 
location for its php.ini file. The apache version uses the default 
location.

Ben Sgro (sk) wrote:
> Hey all,
> 
> Yes I have php (cli). I believe gd was never installed.
> There was no trace of the gd.so. I did a yum update php-gd
> and then added the module to php.ini.
> 
> Besides the fact that apache doesn't server pages when the php-gtk/gd 
> modules are loaded (yet they work) it works.
> 
> I had to comment out the modules to get apache to work as usual.
> 
> Strange...
> 
> Thanks!
> 
> - Ben
> ----- Original Message ----- 
> From: "Scott Mattocks" <scott at crisscott.com>
> To: "NYPHP Talk" <talk at lists.nyphp.org>
> Sent: Monday, October 02, 2006 9:16 AM
> Subject: Re: [nycphp-talk] PHP-GTK module error
> 
> 
> Ben Sgro (sk) wrote:
>> Hey all,
>>
>> Thanks Jon. I am adding GTK to an existing PHP installation. It appears 
>> php
>> was compiled with '--with-gd=shared'.
>> The only module that fails to load is the gtk one.
>>
>> Any other ideas?
> 
> Make sure that both extensions were compiled against the same version of
> PHP and that you are loading PHP-GTK in the same executable that you
> compiled it against (Should be compiled against a CLI version not a CGI
> version).
> 
> If everything looks good you can try looking at this thread:
> http://marc.theaimsgroup.com/?l=php-gtk-general&m=114317952909700&w=2
> (although it doesn't say much more) Also, try the PHP-GTK-general
> mailing list.
> 

-- 
Scott Mattocks
Author of: Pro PHP-GTK
http://www.crisscott.com



More information about the talk mailing list